# STEF Receiver

<!-- status autogenerated section -->
| Status        |           |
| ------------- |-----------|
| Stability     | [development]: metrics   |
| Distributions | [] |
| Issues        | [![Open issues](https://img.shields.io/github/issues-search/open-telemetry/opentelemetry-collector-contrib?query=is%3Aissue%20is%3Aopen%20label%3Areceiver%2Fstef%20&label=open&color=orange&logo=opentelemetry)](https://github.com/open-telemetry/opentelemetry-collector-contrib/issues?q=is%3Aopen+is%3Aissue+label%3Areceiver%2Fstef) [![Closed issues](https://img.shields.io/github/issues-search/open-telemetry/opentelemetry-collector-contrib?query=is%3Aissue%20is%3Aclosed%20label%3Areceiver%2Fstef%20&label=closed&color=blue&logo=opentelemetry)](https://github.com/open-telemetry/opentelemetry-collector-contrib/issues?q=is%3Aclosed+is%3Aissue+label%3Areceiver%2Fstef) |
| [Code Owners](https://github.com/open-telemetry/opentelemetry-collector-contrib/blob/main/CONTRIBUTING.md#becoming-a-code-owner)    | [@tigrannajaryan](https://www.github.com/tigrannajaryan), [@MovieStoreGuy](https://www.github.com/MovieStoreGuy), [@dmitryax](https://www.github.com/dmitryax), [@atoulme](https://www.github.com/atoulme), [@pjanotti](https://www.github.com/pjanotti), [@crobert-1](https://www.github.com/crobert-1) |

[development]: https://github.com/open-telemetry/opentelemetry-collector/blob/main/docs/component-stability.md#development
<!-- end autogenerated section -->

The STEF receiver runs a gRPC server accepting data using the Sequential Tabular Encoding Format (STEF).

## Configuration

- `endpoint` (default = localhost:4320 for grpc protocol):
  host:port on which the receiver is going to receive data. Refer to
  [naming documentation](https://github.com/grpc/grpc/blob/master/doc/naming.md)
  for valid syntax.
- `ack_interval` (default: 10ms). The periodical interval of time when sending acknowledgements back to the client.

Example:

```yaml
stef:
  endpoint: 0.0.0.0:4320
```

Several common configuration structures provide additional capabilities automatically:

- [gRPC settings](https://github.com/open-telemetry/opentelemetry-collector/blob/main/config/configgrpc/README.md)
- [TLS and mTLS settings](https://github.com/open-telemetry/opentelemetry-collector/blob/main/config/configtls/README.md)